View Issue Details

IDProjectCategoryView StatusLast Update
0003345SymmetricDSBugpublic2018-03-12 08:28
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.2 
Target Version3.9.2Fixed in Version3.9.2 
Summary0003345: Fix boolean handling on ASE 16
DescriptionUnit reporting these errors with Sybase ASE 16:
2017-12-28 13:59:29,277 ERROR [client] [DataLoaderService] [Thread-25] Failed while parsing batch
java.lang.NumberFormatException
    at java.math.BigDecimal.<init>(BigDecimal.java:494)
    at java.math.BigDecimal.<init>(BigDecimal.java:383)
    at java.math.BigDecimal.<init>(BigDecimal.java:806)
    at org.jumpmind.db.platform.sybase.SybaseJdbcSqlTemplate.setDecimalValue(SybaseJdbcSqlTemplate.java:89)
    at org.jumpmind.db.sql.JdbcSqlTemplate.setValues(JdbcSqlTemplate.java:1009)
    at org.jumpmind.db.sql.JdbcSqlTransaction$4.execute(JdbcSqlTransaction.java:331)
    at org.jumpmind.db.sql.JdbcSqlTransaction$4.execute(JdbcSqlTransaction.java:1)
    at org.jumpmind.db.sql.JdbcSqlTransaction.executeCallback(JdbcSqlTransaction.java:404)
    at org.jumpmind.db.sql.JdbcSqlTransaction.prepareAndExecute(JdbcSqlTransaction.java:325)
    at org.jumpmind.symmetric.service.impl.IncomingBatchService.insertIncomingBatch(IncomingBatchService.java:248)
    at org.jumpmind.symmetric.service.impl.IncomingBatchService.insertIncomingBatch(IncomingBatchService.java:277)
    at org.jumpmind.symmetric.service.impl.IncomingBatchService.acquireIncomingBatch(IncomingBatchService.java:192)
    at org.jumpmind.symmetric.service.impl.DataLoaderService$ManageIncomingBatchListener.beforeBatchStarted(DataLoaderService.java:1125)
    at org.jumpmind.symmetric.io.data.DataProcessor.process(DataProcessor.java:95)
    at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$1.call(DataLoaderService.java:1018)
    at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$1.call(DataLoaderService.java:1)
    at java.util.concurrent.FutureTask.run(FutureTask.java:266)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
    at java.lang.Thread.run(Thread.java:745)

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 57783828

2017-12-28 14:02:26

mmichalek

Details Diff
0003345: Fix boolean handling on ASE 16
0003345
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sybase/SybaseJdbcSqlTemplate.java Diff File

Issue History

Date Modified Username Field Change
2017-12-28 14:01 mmichalek New Issue
2017-12-28 14:01 mmichalek Status new => assigned
2017-12-28 14:01 mmichalek Assigned To => mmichalek
2017-12-28 14:03 mmichalek Status assigned => resolved
2017-12-28 14:03 mmichalek Resolution open => fixed
2017-12-28 14:03 mmichalek Fixed in Version => 3.9.2
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 57783828
2018-03-12 08:28 chenson Status resolved => closed